import NAMES from './names.json'

interface GetHundredName {
  (tens: number, ones: number): string,
}

const getHundredName: GetHundredName = (tens, ones) => {
  switch (tens) {
    case 0:
      return NAMES.base.units[ones]
    case 1:
      if (ones > 0) {
        return NAMES.base.tenPlus[ones]
      }
      break
    default:
      break
  }

  return (
    ones > 0
      ? [
        NAMES.base.tens[tens],
        NAMES.base.units[ones],
      ]
      .join(' ')
      : NAMES.base.tens[tens]
  )
}

export default getHundredName
