import getHundredName from './getHundredName'
import NAMES from './names.json'

interface GetThousandName {
  (hundreds: number, tens: number, ones: number): string,
}

const getThousandName: GetThousandName = (hundreds, tens, ones) => {
  if (hundreds === 0) {
    return getHundredName(tens, ones)
  }

  if (tens === 0 && ones === 0) {
    return [
      NAMES.base.units[hundreds],
      NAMES.hundred,
    ]
      .join(' ')
  }

  return [
    NAMES.base.units[hundreds],
    NAMES.hundred,
    getHundredName(tens, ones),
  ]
    .join(' ')
}

export default getThousandName
