import NAMES from './names.json'

interface GetBaseHundredUnit {
  (hundreds: number): string
}

const getBaseHundredUnit: GetBaseHundredUnit = hundreds => {
  let hundredsUnit = NAMES.base.units[hundreds]
  const hundredsSuffix = NAMES.hundred
  const unitLastCharacter = hundredsUnit.slice(-1)
  switch (unitLastCharacter) {
    case 't':
    case 'm':
      return hundredsUnit + 'nar' + hundredsSuffix.slice(1)
    case 'a':
      if (hundredsUnit.startsWith('i')) {
        hundredsUnit = hundredsUnit.slice(1)
      }
      return hundredsUnit + 'n' + hundredsSuffix
    case 'o':
    default:
      break
  }

  return hundredsUnit + 'ng' + hundredsSuffix
}

export default getBaseHundredUnit
