import NAMES from './names.json'

interface GetBaseTenUnit {
  (tens: number): string
}

const getBaseTenUnit: GetBaseTenUnit = (tens) => {
  let tenUnit = NAMES.base.units[tens]
  const tenSuffix = NAMES.ten
  const unitLastCharacter = tenUnit.slice(-1)
  switch (unitLastCharacter) {
    case 't':
    case 'm':
      return tenUnit + 'na' + tenSuffix
    case 'o':
      tenUnit = tenUnit.slice(0, -1) + 'u'
      break
    case 'a':
      if (tenUnit.startsWith('i')) {
        tenUnit = tenUnit.slice(1)
      }
      break
    default:
      break
  }

  return tenUnit + 'm' + tenSuffix
}

export default getBaseTenUnit
