import NAMES from './names.json'
import getTenPlusName from './getTenPlusName'
import getBaseTenUnit from './getBaseTenUnit'

interface GetHundredName {
  (tens: number, ones: number): string,
}

const getHundredName: GetHundredName = (tens, ones) => {
  switch (tens) {
    case 0:
      return NAMES.base.units[ones]
    case 1:
      if (ones > 0) {
        return getTenPlusName(ones)
      }
      break
    default:
      break
  }

  if (ones > 0) {
    return [
      getBaseTenUnit(tens),
      "'",
      NAMES.and.slice(1),
      ' ',
      NAMES.base.units[ones],
    ].join('')
  }
  return getBaseTenUnit(tens)
}

export default getHundredName
