import NAMES from './names.json'

interface GetTenPlusName {
  (ones: number): string,
}

const getTenPlusName: GetTenPlusName = (ones) => {
  if (ones === 0) {
    return NAMES.base.tens[1]
  }

  const unit = NAMES.base.units[ones]
  const tenPlusPrefix = NAMES.tenPlus
  const unitFirstCharacter = unit.charAt(0)

  switch (unitFirstCharacter) {
    case 'i':
    case 'a':
      return tenPlusPrefix + 'ng-' + unit
    case 'd':
    case 't':
    case 'l':
    case 's':
      return tenPlusPrefix + 'n' + unit
    case 'p':
      return tenPlusPrefix + 'm' + unit
    default:
      break
  }

  return tenPlusPrefix + 'ng' + unit
}

export default getTenPlusName
